<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<title>XDCtools 3.50.04.43 GA Release Notes</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
<!-- We use the doxygen style sheet -->
<link href="doxygen.css" type="text/css" rel="stylesheet"/>
</head>
<body>
  <table width="100%">
    <tbody>
      <tr>
	<td bgcolor="black" width="1"> <a href="http://www.ti.com/">
	    <img style="border: 0px solid ; width: 222px; height: 54px;" alt="Texas Instruments" src="docs/tilogo.gif"/> </a>
	</td>
	<td bgcolor="red"><img style="width: 314px; height: 26px;" alt="Technology for Innovators(tm)" src="docs/titagline.gif"/>
	</td>
      </tr>
    </tbody>
  </table>
<h1 style="text-align:center"><a name="XDC_TOP"></a>
XDCtools 3.50.04.43 GA Release Notes</h1>
<h2 style="text-align:center">November 13, 2017</h2>
<table>
  <tr><td><h2>Contents</h2>
      <ul>
	<li><a href="#Introduction">Introduction</a></li>
	<li><a href="#Licensing">Licensing</a></li>
	<li><a href="#Documentation">Documentation</a></li>
	<li><a href="#Whats_New">What's New</a></li>
	<li><a href="#Compatibility">Upgrade &amp; Compatibility Information</a></li>
	<li><a href="#Host_Support">Host Support</a></li>
	<li><a href="#Device_Support">Device Support</a></li>
	<li><a href="#Validation">Validation Information</a></li>
	<li><a href="#Known_Issues">Known Issues</a></li>
	<li><a href="#Version">Versioning</a></li>
	<li><a href="#Support">Technical Support</a></li>
      </ul>
  </td></tr>
</table>
<hr/>
<h2><a name="Introduction">Introduction</a></h2>
<p>RTSC / XDC (eXpanDed C) is a standard for reusable software components, 
optimized for real-time embedded systems. RTSC components have hardware-neutral 
formal interfaces, are configurable offline to optimize memory and performance, 
and support custom automation in the development environment via a scripting 
language.</p>
<p>The XDCtools product includes the following components: </p>
<ul>
<li><b>Core (<code>xdc.*</code>)</b> -
the <code><b>xdc</b></code> and <code><b>xs</b></code> command line utilities for 
building packages and executing scripts respectively; packages that implement 
the RTSC standard;</li>
<li><b>User tools (<code>xdc.tools.*</code>)</b>
- command-line and graphical utilities for working with packages and
repositories;</li>
<li><span style="font-weight: bold;">Eclipse
(</span><b><code>eclipse</code></b><span style="font-weight: bold;">)</span>
- A set of integration plugins for RTSC for the eclipse platform.
These plugins are leveraged by Code Composer Studio (CCS) to provide
support for RTSC content in an integrated development environment.</li>
</ul>
<p><a href="#XDC_TOP">back to top</a></p>
<hr/>
<h2><a name="Licensing">Licensing</a></h2>
<p>Almost all of XDCtools is released under either EPL v1.0 or
  dual-licensed under EPL or EDL v1.0.  However, there are also a
  number of third-party components included which are made available
  under a number of other open-source licenses.  A complete manifest
  along with export control information is detailed
<a href="xdctools_3_50_04_43_manifest.html">here</a>.</p>
<p><a href="#XDC_TOP">back to top</a></p>
<hr/>
<h2><a name="Documentation">Documentation</a></h2>
<p>The product documentation for this release is available as:</p>
<ul>
<li><a href="docs/docs.zip">Compressed .zip file archive</a></li>
</ul>
<p>All documentation is delivered with the product in the <a href="docs/README.txt">docs</a> 
subdirectory. The most up-to-date docs can also be viewed in the 
<a href="http://rtsc.eclipse.org/docs-tip/Main_Page">RTSC-pedia</a>.</p>
<p>Release notes from previous product releases are available in
the <a href="docs/relnotes_archive/index.html">relnotes_archive</a> directory.</p>
<p><a href="#XDC_TOP">back to top</a></p>
<hr/>
<h2><a name="Whats_New">What's New</a></h2>
<p>This release includes several significant improvements to the ROV2
  user interface:</p>
<ul>
  <li>the ability to reorder view columns has been restored</li>
  <li>ROV can now show POSIX objects</li>
  <li>the startup time is somewhat faster when running in CCS</li>
  <li>ROV2 will now connect to the selected core in CCS</li>
</ul>
<p>To see a complete list of issues fixed in XDCtools 3.50.x, click
  <a target="_blank"
  href="http://bugs.eclipse.org/bugs/buglist.cgi?bug_status=RESOLVED&amp;bug_status=VERIFIED&amp;bug_status=CLOSED&amp;classification=Technology&amp;columnlist=bug_severity%2Cpriority%2Cassigned_to%2Cbug_status%2Cshort_desc&amp;product=RTSC&amp;query_format=advanced&amp;target_milestone=3.50.4&amp;target_milestone=3.50.3&amp;target_milestone=3.50.2&amp;target_milestone=3.50.0">here</a>.
</p>
<p>The TI internal JIRA project release summary for XDCtools 3.50.04.43 is <a target="_blank"
href="https://jira.itg.ti.com/projects/XDCTOOLS/versions/23178">here</a>.
</p>
<p><a href="#XDC_TOP">back to top</a></p>
<hr/>
<h2><a name="Compatibility">Upgrade and Compatibility
    Information</a></h2>
XDCtools 3.50.x has two significant compatibility requirements:
<ul>
  <li>
    <span style="color:red">when used in CCS, CCS must be version 
      CCS 7.1.x (or above), and</span>
  </li>
  <li>
    <span style="color:red">packages built using any version of XDCtools
      prior to 3.50.00 must be rebuilt using 3.50.00 (or above) before
      they can be used with this release</span>
  </li>
</ul>
<h3>Code Composer Studio (CCS)</h3>
  <p><span style="color:red">XDCtools 3.50 must only be used in CCS
	  7.1.x (or above)</span>.</p> 
  <p>XDCtools 3.30 releases (and later) are no longer released in an installer,
    they are simply provided as <tt>.zip</tt> files which can be extracted
    into any directory that CCS uses to discover new products
    (e.g., <tt>c:/ti</tt>).</p>
  <p><strong>Note for Windows users:</strong>  When you unzip an
    XDCtools release using Windows Explorer simply double click
    on the <tt>.zip</tt> file and drag the single top-level folder it
    contains to the folder containing <tt>ccsv6/</tt> (typically
    <tt>c:/ti</tt>).  If, instead, you right-click the <tt>.zip</tt>
    file and select "Extract All ...", Windows Explorer adds the
    name of the zip file itself to the default output folder.
    <em>Do not use this output name</em>.  You must extract the
    <em>contents</em> of the zip file into, say, <tt>c:/ti</tt>, 
    <em>not</em> a new folder named after the zip file itself.</p>

<h3>Deleted Content</h3>
  <p>Beginning with the 3.31 release, all embedded targets and platforms
  have been removed.  They are now delivered with middleware products, such
  as <a href="http://www.ti.com/tool/ti-rtos">TI-RTOS</a>, that have
  dependencies on specific targets and platforms.</p>
<h3>Package Compatibility</h3>
  <p><b>Package internal files</b>: All generated package internal files
    are backwards compatible starting from XDCtools 3.20.  So, packages
    created using XDCtools 3.20 or later can be consumed using
    this release.  Because of the addition of the target
    type <code>CString</code> to XDCtools 3.25.x, packages created with this release that
    contain non-metaonly modules cannot be used with XDCtools 
    releases earlier than XDCtools 3.25.x.  This includes the <code>xdc.runtime</code> package.
    See <a href="http://rtsc.eclipse.org/docs-tip/XDCtools_Internal_Version_Numbers">XDCtools Internal Version Numbers</a> for additional details.</p>

  <p><b>Generated Module headers</b>: All generated module headers have
    been changed to support "const clean" configuration files (see
    <a target="_blank"
       href="http://bugs.eclipse.org/bugs/show_bug.cgi?id=506855">Bug
    506855</a>)
    Because of this, all non-meta-only modules built with earlier
    releases must be rebuilt using XDCtools 3.50 (or above) in order
    to use the <code>xdc.runtime</code> provided by this release.  As a result,
    <span style="color:red">XDCtools 3.50 (or above) can't be 
    used with packages containing non-meta-only modules that were built
    using XDCtools 3.32 or earlier</span>. In particular:
  </p>
  <p style="text-indent: 50px;color:red">SYS/BIOS 6.46 packages
    can't be used with XDCtools 3.50 (or above); you must use SYS/BIOS
    6.50.00 (or above)
  </p>

  <p><b>Package-specific APIs</b>: Each package
    has a compatibility key defined in its <b><code>package.xdc</code></b>
    specification file.  No package compatibility keys were changed in this
    release.
  </p>
  <p>Please note that the package compatibility keys are
    independent of XDCtools product release numbers (described in 
    <a href="#Version">Versioning</a> below).  Package compatibility keys:
  </p>
  <ol>
    <li>Enable tooling to identify incompatibilities between components, and</li>
    <li>Convey end-user requirements when re-integrating specific components.</li>
  </ol>
  <p>Package compatibility keys are composed of 4 comma-delimited numbers -
    M, S, R, P - where: </p>
  <ul>
    <li class="MsoNormal" style=""><b>M = Major
	-</b> A difference in M indicates a break in compatibility. The 
      package consumer is required to re-write its source code in order to
      use the package.</li>
    <li class="MsoNormal" style=""><b>S = Source 
	-</b> A difference in S indicates source compatibility.
      The package consumer's source code doesn't require change, but
      <i>does</i> require a recompile.</li>
    <li class="MsoNormal" style=""><b>R = Radix
	-</b> A difference in R indicates an introduction of new features, but 
      compatibility with previous interfaces is not broken. If libraries are 
      provided by the package, an application must re-link with the
      new libraries, but is not required to recompile its source.</li>
    <li class="MsoNormal" style=""><b>P = Patch
	-</b>A difference in P indicates that only bugs
      have been fixed in the latest package and no new features have
      been introduced.  If libraries are provided by the package, an 
      application must re-link with the new libraries, but is not
      required to recompile its source.</li>
  </ul>
  <p><a href="#XDC_TOP">back to top</a></p>
  <hr/>
<h2><a name="Host_Support">Host Support</a></h2>
  <p>This release supports the following hosts:</p>
  <ul>
    <li>Windows 7, Windows 8, Windows 10</li>
    <li>Linux Ubuntu 12.04 (64bit), Ubuntu 14.04 (64bit), Ubuntu 15.10 (64bit)</li>
    <li>Mac OS X Mavericks 10.9 (64bit), Yosemite 10.10 (64bit), El Capitan 10.11 (64bit)</li>
  </ul>
  <p><a href="#XDC_TOP">back to top</a></p>
  <hr/>
<h2><a name="Device_Support">Device Support</a></h2>
  <p>Starting with release 3.31, XDCtools no longer includes specific embedded device support. As a result, users must either use another product (such as <a href="http://www.ti.com/tool/ti-rtos">TI-RTOS</a>),
    which includes any necessary device support or explicitly adds a repository
    containing the desired device support to the package path of their projects.</p>
  <p>The complete list
    of <a href="http://rtsc.eclipse.org/docs-tip/Glossary#Target">targets</a>
    tested by this release can be found 
    <a href="docs/xdctools_3_50_04_43_supported_targets.html">here</a>.</p>
  <p><a href="#XDC_TOP">back to top</a></p>
  <hr/>
<h2><a name="Validation">Validation Information</a></h2>
  <p>This release was built and validated using Code Composer Studio version 6.1.1.</p>
  <p>The <a href="http://rtsc.eclipse.org/docs-tip/Glossary#Target">targets</a>
    supported by this release and the versions of the compilers used to 
    validate them are listed 
    <a href="docs/xdctools_3_50_04_43_supported_targets.html">here</a>.</p>
  <p>Go to the <a href="#Known_Issues">Known Issues</a> section of these release
    notes to see any issues with the supported targets that were found during
    the validation of this release.</p>

  <p><a href="#XDC_TOP">back to top</a> </p>
  <hr/>
<h2><a name="Known_Issues">Known Issues</a></h2>
  <p>To see a complete list of open XDCtools issues, go to the 
    <a target="_blank" href="http://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;classification=Technology&amp;product=RTSC&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED">
      Eclipse RTSC project's Bugzilla database</a>.</p>

  <p>To file a new bug in this database, click 
    <a target="_blank" href="http://bugs.eclipse.org/bugs/enter_bug.cgi?classification=Technology&amp;product=RTSC&amp;version=unspecified&amp;rep_platform=All&amp;op_sys=All">
      here</a>.</p><p><a href="#XDC_TOP">back to top</a></p>
  <hr/>
<h2><a name="Version">Versioning</a></h2>
  <p>All releases have 4 digits (<b>M.mm.pp.bb</b>).
    This includes GA and pre-releases (engineering, release candidates, etc.). 
    Pre-releases are denoted with a suffix (e.g. 3.15.01.51<b>-eng</b>)
    and <em>should not be used in a production environment</em>.</p>
  <p>This product's version follows a version format, <b>M.mm.pp.bb</b>,
    where <b>M</b> is a single digit Major number, <b>mm</b>
    is 2 digit minor number, <b>pp</b> is a 2 digit patch number, and <b>b</b>
    is an unrestricted set of digits used as an incrementing build counter.</p>
  <p>To support multiple side-by-side installations of the product, the product
    version is encoded in the top level directory, ex. xdctools_3_15_00_50.</p>
  <p>Subsequent releases of patch upgrades will be identified by
    the patch number, ex. XDCtools 3.15.01.67 with directory xdctools_3_15_01_67.
    Typically, these patches only include bug fixes.</p>
  <p>Please note that version numbers and compatibility keys are
    NOT the same. For an explanation of compatibility keys, please refer to
    the '<a href="#Compatibility">Upgrade and Compatibility
      Information</a>' section.</p>
  <p><a href="#XDC_TOP">back to top</a> </p>
  <hr/>
<h2><a name="Support">Technical Support and Product Updates</a></h2>
  <p>Support questions on the product should be posted to the Eclipse RTSC project's 
    <a href="http://www.eclipse.org/forums/index.php?t=thread&amp;frm_id=8">
      newsgroup</a>.
    Check the XDCtools download 
    <a href=
       "http://software-dl.ti.com/dsps/dsps_public_sw/sdo_sb/targetcontent/rtsc/index.html">site</a>
    for the latest releases.</p>
  <p><a href="#XDC_TOP">back to top</a></p>
  <hr/>
  <p>Last updated: November 13, 2017 Build Ver: 3.50.04.43 Rev: x43</p>
</body>
</html>
